#
# Fedora spec file for php-nikic-fast-route
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please preserve changelog entries

%global gh_commit    181d480e08d9476e61381e04a71b34dc0432e812
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     nikic
%global gh_project   FastRoute
%global pk_project   fast-route
%global php_home     %{_datadir}/php
%global with_tests   0%{!?_without_tests:1}

Name:           php-%{gh_owner}-%{pk_project}
Version:        1.3.0
Release:        5%{?dist}
Summary:        Fast implementation of a regular expression based router

License:        BSD
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source:         https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{name}-%{version}-%{gh_short}.tar.gz
Source1:        php-%{gh_owner}-%{pk_project}-tests-autoloader.php

BuildArch:      noarch
%if %{with_tests}
# For tests
BuildRequires:  php(language) >= 5.4
BuildRequires:  php-pcre
BuildRequires:  php-spl
# From composer.json, "require-dev": {
#        "phpunit/phpunit": "^4.8.35|~5.7"
BuildRequires:  php-composer(phpunit/phpunit) >= 4.8.35
%endif

# From composer.json, "require": {
#        "php": ">=5.4",
Requires:       php(language) >= 5.4
# From phpcompatinfo 5.0.0 report for version 1.0.0
Requires:       php-pcre
Requires:       php-spl

Provides:       php-composer(%{gh_owner}/%{pk_project}) = %{version}


%description
Fast implementation of a regular expression based router.

Documentation:
http://nikic.github.io/2014/02/18/Fast-request-routing-using-regular-expressions.html

Autoloader: %{php_home}/%{gh_project}/bootstrap.php


%prep
%setup -q -n %{gh_project}-%{gh_commit}


%build
#Nothing to build


%install
#: Library
mkdir -p                %{buildroot}%{php_home}
cp -pr src              %{buildroot}%{php_home}/%{gh_project}


%check
%if %{with_tests}
#ensure tests are not ran against local sources
rm -rf src
cp %{SOURCE1}       test/bootstrap.php
sed -e "s|BUILDROOT_PATH|%{buildroot}/%{php_home}/%{gh_project}|" -i test/bootstrap.php

: Run upstream test suite
ret=0
for cmd in php php70 php71 php72; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit --verbose || ret=1
  fi
done
exit $ret
%else
: Test suite disabled
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc composer.json
%doc *.md
%{php_home}/%{gh_project}


%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Remi Collet <remi@remirepo.net> - 1.3.0-1
- Update to 1.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.2.0-1
- Last upstream release

* Mon Jan 02 2017 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.1.0-2
- Bump version

* Mon Jan 02 2017 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.1.0-1
- Last upstream release

* Sat Jun 25 2016 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.0.1-1
- Last upstream release

* Fri May 06 2016 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.0.0-2
- Fix package name

* Fri May 06 2016 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.0.0-1
- Initial packaging
